%define url_repo http://repository.springsource.com.s3.amazonaws.com/ivy/bundles/external/org.apache.velocity/org.apache.velocity.docbookframework.dist
%define bootstrap 1
%define with_prebuild 1
%global namedreltag .RELEASE
%global namedversion %{version}%{?namedreltag}

Name:          springsource-bundlor
Version:       1.0.0
Release:       %mkrel 1
Summary:       Spring Bundlor
Group:         Development/Java
License:       ASL 2.0
Url:           http://git.springsource.org/bundlor/
# svn export https://src.springsource.org/svn/dm-server-bundlor/main-branches/trunk/ springsource-bundlor-1.0.0
# tar czf springsource-bundlor-1.0.0-src-svn.tar.gz springsource-bundlor-1.0.0
# git clone git://git.springsource.org/bundlor/bundlor.git
#http://git.springsource.org/bundlor/bundlor/commit/2d6ad6ada05f119f4bb1aef1a776ae209a9a4c87
# wget http://dist.springframework.org/release/BNDLR/bundlor-1.0.0.RELEASE.zip
#Source0:       springsource-bundlor-1.0.0-src-svn.tar.gz
Source0:       bundlor-1.0.0.RELEASE-src-cleaned.tar.gz
# ivy-cache structure and ivy generated metadata files
Source1:       springsource-bundlor-1.0.0.RELEASE-ivy-cache.tar.gz
Source2:       springsource-bundlor-script

Source10:      %url_repo/1.0.0.BUILD-20080625/org.apache.velocity.docbookframework.dist-1.0.0.BUILD-20080625.zip
# http://repository.springsource.com/maven/bundles/release/com/springsource/bundlor
Source11:      com.springsource.bundlor.ant-1.0.0.RELEASE-mod.pom
Source12:      com.springsource.bundlor.blint-1.0.0.RELEASE-mod.pom
Source13:      com.springsource.bundlor.commandline-1.0.0.RELEASE-mod.pom
#Source14:      com.springsource.bundlor.maven-1.0.0.RELEASE.pom
Source15:      com.springsource.bundlor-1.0.0.RELEASE-mod.pom

# bootstrap
# http://repository.springsource.com/maven/bundles/milestone/com/springsource/bundlor/com.springsource.bundlor/1.0.0.M4
#Source16:      com.springsource.bundlor-1.0.0.M4.jar
# http://repository.springsource.com/maven/bundles/milestone/com/springsource/bundlor/com.springsource.bundlor.ant/1.0.0.M4/
#Source17:      com.springsource.bundlor.ant-1.0.0.M4.jar
# pre build
Source18:      com.springsource.bundlor-1.0.0.RELEASE.jar
Source19:      com.springsource.bundlor.ant-1.0.0.RELEASE.jar
Source20:      com.springsource.bundlor.blint-1.0.0.RELEASE.jar

Patch0:        springsource-bundlor-1.0.0-spring-build-ivysettings.patch
Patch1:        springsource-bundlor-1.0.0.RELEASE-build-bundlor-build.patch
Patch2:        springsource-bundlor-1.0.0-PropertiesFileArtifactAnalyzer.patch 
Patch3:        springsource-bundlor-1.0.0.RELEASE-bundlor-maven-pom.patch
Patch4:        springsource-bundlor-1.0.0.RELEASE-build_properties.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: apache-commons-codec
BuildRequires: apache-commons-logging
BuildRequires: ivy
BuildRequires: jakarta-commons-httpclient
BuildRequires: jets3t07
BuildRequires: spring-build-aws-ivy

#BuildRequires: maven-ant-tasks
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: maven-shared
BuildRequires: maven-filtering

BuildRequires: ant
#BuildRequires: antlr3
BuildRequires: apache-commons-cli
#BuildRequires: apache-commons-io
#BuildRequires: apache-commons-logging
BuildRequires: ecj3
#BuildRequires: eclipse-equinox-osgi
BuildRequires: objectweb-asm
BuildRequires: felix-osgi-core
BuildRequires: junit4
#BuildRequires: slf4j
#BuildRequires: spring2-beans
#BuildRequires: spring2-core
#BuildRequires: spring2-test
BuildRequires: spring-build-ant
BuildRequires: spring-build-aws-maven
#BuildRequires: spring-ws-xml
BuildRequires: springsource-util
#BuildRequires: ws-commons-XmlSchema
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
BuildRequires: xml-commons-resolver
BuildRequires: xslthl

Requires:      ant
Requires:      apache-commons-cli
#Requires:      apache-commons-logging
#Requires:      eclipse-equinox-osgi
Requires:      felix-osgi-core
Requires:      junit4
Requires:      objectweb-asm
#Requires:      spring2-beans
#Requires:      spring2-core
#Requires:      spring-ws-xml
Requires:      springsource-util
#Requires:      ws-commons-XmlSchema

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
SpringSource Bundlor is a tool that automates the detection of dependencies and the
creation of OSGi manifest directives for JARs after their creation. Bundlor
takes as input a JAR and a template consisting of a superset of the standard OSGi manifest headers.
Bundlor analyses the source code and support files contained in the JAR, applies the template to the
results, and generates a manifest.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}

%package devel
Summary:       Source jars for %{name}
Group:         Development/Java

%description devel
This package contains source jars for %{name}.

%package manual
Summary:       Manual for %{name}
Group:         Development/Java

%description manual
This package contains manual for %{name}

%prep
%setup -q -n bundlor-%{namedversion} -a1
%if !%bootstrap
%patch0 -p0
%endif
%patch1 -p0
#%patch2 -p0
sed -i 's|<mvn target="clean"/>||' build-bundlor/build.xml

%patch3 -p0
%patch4 -p0
for f in $(find . -name "*.jar"); do
  mv $f $f.no
done
find . -name "*.class" -exec rm -f {} \;

ln -s $(build-classpath springsource-util/com.springsource.util.common) ivy-cache/repository/com.springsource.util/com.springsource.util.common/2.0.0.CI-211/com.springsource.util.common-2.0.0.CI-211.jar
ln -s $(build-classpath springsource-util/com.springsource.util.common) ivy-cache/repository/com.springsource.util/com.springsource.util.common/2.0.0.RELEASE/com.springsource.util.common-2.0.0.RELEASE.jar
touch ivy-cache/repository/com.springsource.util/com.springsource.util.common/2.0.0.CI-211/com.springsource.util.common-sources-2.0.0.CI-211.jar
touch ivy-cache/repository/com.springsource.util/com.springsource.util.common/2.0.0.RELEASE/com.springsource.util.common-sources-2.0.0.RELEASE.jar

ln -s $(build-classpath springsource-util/com.springsource.util.math) ivy-cache/repository/com.springsource.util/com.springsource.util.math/2.0.0.CI-211/com.springsource.util.math-2.0.0.CI-211.jar
ln -s $(build-classpath springsource-util/com.springsource.util.math) ivy-cache/repository/com.springsource.util/com.springsource.util.math/2.0.0.RELEASE/com.springsource.util.math-2.0.0.RELEASE.jar
touch ivy-cache/repository/com.springsource.util/com.springsource.util.math/2.0.0.CI-211/com.springsource.util.math-sources-2.0.0.CI-211.jar
touch ivy-cache/repository/com.springsource.util/com.springsource.util.math/2.0.0.RELEASE/com.springsource.util.math-sources-2.0.0.RELEASE.jar

ln -s $(build-classpath springsource-util/com.springsource.util.osgi) ivy-cache/repository/com.springsource.util/com.springsource.util.osgi/2.0.0.CI-211/com.springsource.util.osgi-2.0.0.CI-211.jar
ln -s $(build-classpath springsource-util/com.springsource.util.osgi) ivy-cache/repository/com.springsource.util/com.springsource.util.osgi/2.0.0.RELEASE/com.springsource.util.osgi-2.0.0.RELEASE.jar
touch ivy-cache/repository/com.springsource.util/com.springsource.util.osgi/2.0.0.CI-211/com.springsource.util.osgi-sources-2.0.0.CI-211.jar
touch ivy-cache/repository/com.springsource.util/com.springsource.util.osgi/2.0.0.RELEASE/com.springsource.util.osgi-sources-2.0.0.RELEASE.jar


ln -s $(build-classpath springsource-util/com.springsource.util.parser.manifest) ivy-cache/repository/com.springsource.util/com.springsource.util.parser.manifest/2.0.0.CI-211/com.springsource.util.parser.manifest-2.0.0.CI-211.jar
touch ivy-cache/repository/com.springsource.util/com.springsource.util.parser.manifest/2.0.0.CI-211/com.springsource.util.parser.manifest-sources-2.0.0.CI-211.jar
ln -s $(build-classpath springsource-util/com.springsource.util.parser.manifest) ivy-cache/repository/com.springsource.util/com.springsource.util.parser.manifest/2.0.0.RELEASE/com.springsource.util.parser.manifest-2.0.0.RELEASE.jar
touch ivy-cache/repository/com.springsource.util/com.springsource.util.parser.manifest/2.0.0.RELEASE/com.springsource.util.parser.manifest-sources-2.0.0.RELEASE.jar

ln -s $(build-classpath xslthl) ivy-cache/repository/net.sourceforge.xslthl/com.springsource.net.sf.xslthl/1.2.0/com.springsource.net.sf.xslthl-1.2.0.jar
touch ivy-cache/repository/net.sourceforge.xslthl/com.springsource.net.sf.xslthl/1.2.0/com.springsource.net.sf.xslthl-sources-1.2.0.jar

ln -s $(build-classpath ant) ivy-cache/repository/org.apache.ant/com.springsource.org.apache.tools.ant/1.7.0/com.springsource.org.apache.tools.ant-1.7.0.jar
touch ivy-cache/repository/org.apache.ant/com.springsource.org.apache.tools.ant/1.7.0/com.springsource.org.apache.tools.ant-sources-1.7.0.jar

mkdir -p ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.cli/1.2.0
ln -s $(build-classpath commons-cli) ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.cli/1.2.0/com.springsource.org.apache.commons.cli-1.2.0.jar
touch ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.cli/1.2.0/com.springsource.org.apache.commons.cli-sources-1.2.0.jar

cp -p %{SOURCE10} ivy-cache/repository/org.apache.velocity/org.apache.velocity.docbookframework.dist/1.0.0.BUILD-20080625/org.apache.velocity.docbookframework.dist-1.0.0.BUILD-20080625.zip

ln -s $(build-classpath xerces-j2) ivy-cache/repository/org.apache.xerces/com.springsource.org.apache.xerces/2.8.1/com.springsource.org.apache.xerces-2.8.1.jar
touch ivy-cache/repository/org.apache.xerces/com.springsource.org.apache.xerces/2.8.1/com.springsource.org.apache.xerces-sources-2.8.1.jar

ln -s $(build-classpath xml-commons-resolver) ivy-cache/repository/org.apache.xml/com.springsource.org.apache.xml.resolver/1.2.0/com.springsource.org.apache.xml.resolver-1.2.0.jar
touch ivy-cache/repository/org.apache.xml/com.springsource.org.apache.xml.resolver/1.2.0/com.springsource.org.apache.xml.resolver-sources-1.2.0.jar

ln -s $(build-classpath xml-commons-apis) ivy-cache/repository/org.apache.xmlcommons/com.springsource.org.apache.xmlcommons/1.3.3/com.springsource.org.apache.xmlcommons-1.3.3.jar

ln -s $(build-classpath ecj3) ivy-cache/repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.3.0/com.springsource.org.eclipse.jdt.core.compiler.batch-3.3.0.jar
touch ivy-cache/repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.3.0/com.springsource.org.eclipse.jdt.core.compiler.batch-sources-3.3.0.jar

ln -s $(build-classpath objectweb-asm/asm) ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm/3.1.0/com.springsource.org.objectweb.asm-3.1.0.jar
touch ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm/3.1.0/com.springsource.org.objectweb.asm-sources-3.1.0.jar
ln -s $(build-classpath objectweb-asm/asm-commons) ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.commons/3.1.0/com.springsource.org.objectweb.asm.commons-3.1.0.jar
touch ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.commons/3.1.0/com.springsource.org.objectweb.asm.commons-sources-3.1.0.jar
ln -s $(build-classpath objectweb-asm/asm-tree) ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.tree/3.1.0/com.springsource.org.objectweb.asm.tree-3.1.0.jar
touch ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.tree/3.1.0/com.springsource.org.objectweb.asm.tree-sources-3.1.0.jar

ln -sf $(build-classpath felix/org.osgi.core) \
  ivy-cache/repository/org.osgi/org.osgi.core/4.1.0/org.osgi.core-4.1.0.jar

ln -sf $(build-classpath spring-build/org.springframework.build.ant) \
  ivy-cache/repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE/org.springframework.build.ant-1.1.0.RELEASE.jar
touch ivy-cache/repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE/org.springframework.build.ant-sources-1.1.0.RELEASE.jar

%if %bootstrap
%if !%with_prebuild 

cp -p dist/com.springsource.bundlor-1.0.0.RELEASE.jar.no \
  ivy-cache/repository/com.springsource.bundlor/com.springsource.bundlor/1.0.0.CI-235/com.springsource.bundlor-1.0.0.CI-235.jar
cp -p dist/com.springsource.bundlor-1.0.0.RELEASE.jar.no \
  ivy-cache/repository/com.springsource.bundlor/com.springsource.bundlor/1.0.0.RELEASE/com.springsource.bundlor-1.0.0.RELEASE.jar

cp -p dist/com.springsource.bundlor.ant-1.0.0.RELEASE.jar.no \
  ivy-cache/repository/com.springsource.bundlor/com.springsource.bundlor.ant/1.0.0.CI-235/com.springsource.bundlor.ant-1.0.0.CI-235.jar

cp -p dist/com.springsource.bundlor.ant-1.0.0.RELEASE.jar.no \
  ivy-cache/repository/com.springsource.bundlor/com.springsource.bundlor.ant/1.0.0.CI-235/com.springsource.bundlor.ant-1.0.0.CI-235.jar

cp -p dist/com.springsource.bundlor.blint-1.0.0.RELEASE.jar.no \
  ivy-cache/repository/com.springsource.bundlor/com.springsource.bundlor.blint/1.0.0.CI-235/com.springsource.bundlor.blint-1.0.0.CI-235.jar
%else
  cp -p %{SOURCE18} ivy-cache/repository/com.springsource.bundlor/com.springsource.bundlor/1.0.0.CI-235/com.springsource.bundlor-1.0.0.CI-235.jar
  cp -p %{SOURCE18}  \
  ivy-cache/repository/com.springsource.bundlor/com.springsource.bundlor/1.0.0.RELEASE/com.springsource.bundlor-1.0.0.RELEASE.jar
  cp -p %{SOURCE19} ivy-cache/repository/com.springsource.bundlor/com.springsource.bundlor.ant/1.0.0.CI-235/com.springsource.bundlor.ant-1.0.0.CI-235.jar
  cp -p %{SOURCE20} ivy-cache/repository/com.springsource.bundlor/com.springsource.bundlor.blint/1.0.0.CI-235/com.springsource.bundlor.blint-1.0.0.CI-235.jar
%endif
%else
  ln -s $(build-classpath springsource-bundlors/com.springsource.bundlor) ivy-cache/repository/com.springsource.bundlor/com.springsource.bundlor/1.0.0.CI-235/com.springsource.bundlor-1.0.0.CI-235.jar
  ln -s $(build-classpath springsource-bundlors/com.springsource.bundlor) ivy-cache/repository/com.springsource.bundlor/com.springsource.bundlor/1.0.0.RELEASE/com.springsource.bundlor-1.0.0.RELEASE.jar
  ln -s $(build-classpath springsource-bundlor/com.springsource.bundlor.ant) ivy-cache/repository/com.springsource.bundlor/com.springsource.bundlor.ant/1.0.0.CI-235/com.springsource.bundlor.ant-1.0.0.CI-235.jar

  ln -s $(build-classpath springsource-bundlor/com.springsource.bundlor.blint) ivy-cache/repository/com.springsource.bundlor/com.springsource.bundlor.blint/1.0.0.CI-235
%endif


touch ivy-cache/repository/com.springsource.bundlor/com.springsource.bundlor/1.0.0.CI-235/com.springsource.bundlor-sources-1.0.0.CI-235.jar
touch ivy-cache/repository/com.springsource.bundlor/com.springsource.bundlor/1.0.0.RELEASE/com.springsource.bundlor-sources-1.0.0.RELEASE.jar
touch ivy-cache/repository/com.springsource.bundlor/com.springsource.bundlor.ant/1.0.0.CI-235/com.springsource.bundlor.ant-sources-1.0.0.CI-235.jar
touch ivy-cache/repository/com.springsource.bundlor/com.springsource.bundlor.blint/1.0.0.CI-235/com.springsource.bundlor.blint-sources-1.0.0.CI-235.jar


%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p ${MAVEN_REPO_LOCAL}

mkdir -p ${MAVEN_REPO_LOCAL}/com/springsource/bundlor/com.springsource.bundlor.blint/1.0.0.RELEASE
ln -sf $(pwd)/com.springsource.bundlor.blint/target/artifacts/com.springsource.bundlor.blint.jar \
${MAVEN_REPO_LOCAL}/com/springsource/bundlor/com.springsource.bundlor.blint/1.0.0.RELEASE/com.springsource.bundlor.blint-1.0.0.RELEASE.jar
mkdir -p ${MAVEN_REPO_LOCAL}/com/springsource/bundlor/com.springsource.bundlor/1.0.0.RELEASE
ln -sf $(pwd)/com.springsource.bundlor/target/artifacts/com.springsource.bundlor.jar \
${MAVEN_REPO_LOCAL}/com/springsource/bundlor/com.springsource.bundlor/1.0.0.RELEASE/com.springsource.bundlor-1.0.0.RELEASE.jar

export CLASSPATH=""
CLASSPATH=${CLASSPATH}:$(build-classpath commons-codec commons-httpclient commons-logging ivy ecj3)
CLASSPATH=${CLASSPATH}:$(build-classpath jets3t07 spring-build/org.springframework.build.aws.ivy)
CLASSPATH=${CLASSPATH}:$(build-classpath springsource-util/com.springsource.util.parser.manifest)
%if !%bootstrap
CLASSPATH=${CLASSPATH}:$(build-classpath springsource-bundlors/com.springsource.bundlor.blint)
%endif
export ANT_OPTS="-Xmx768m -XX:MaxPermSize=128m" 
export IVY_CACHE=$(pwd)/ivy-cache/repository
export IVY_LOCAL=$(pwd)/local-repository
export MAVEN_SETTINGS=$(pwd)/settings.xml
export MAVEN_OPTS="-Xmx256m -XX:MaxPermSize=128m" 
pushd build-bundlor
%{ant} -Dlocal.repo.dir=${IVY_LOCAL} -Dtest.halt=false -Dbuild.sysclasspath=first -Djava.awt.headless=true precommit javadoc-all
%{ant} -Dlocal.repo.dir=${IVY_LOCAL} -Dtest.halt=false -Dbuild.sysclasspath=first -Djava.awt.headless=true package || :
popd

pushd com.springsource.bundlor.maven/
  mvn-rpmbuild \
    -e \
    -Dmaven.test.skip=true \
    -Dmaven.test.failure.ignore=true \
    -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
    install
popd 

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_javadir}/%{name}
install -m 644 com.springsource.bundlor/target/artifacts/com.springsource.bundlor.jar %{buildroot}%{_javadir}/%{name}
install -m 644 com.springsource.bundlor.ant/target/artifacts/com.springsource.bundlor.ant.jar %{buildroot}%{_javadir}/%{name}
install -m 644 com.springsource.bundlor.blint/target/artifacts/com.springsource.bundlor.blint.jar %{buildroot}%{_javadir}/%{name}
install -m 644 com.springsource.bundlor.commandline/target/artifacts/com.springsource.bundlor.commandline.jar %{buildroot}%{_javadir}/%{name}

install -m 644 com.springsource.bundlor.maven/target/com.springsource.bundlor.maven-%{namedversion}.jar \
   %{buildroot}%{_javadir}/%{name}/com.springsource.bundlor.maven.jar

install -d -m 755 %{buildroot}%{_datadir}/%{name}/etc
install -m 644 com.springsource.bundlor/target/artifacts/ivy.xml %{buildroot}%{_datadir}/%{name}/etc/com.springsource.bundlor-ivy.xml
install -m 644 com.springsource.bundlor.ant/target/artifacts/ivy.xml %{buildroot}%{_datadir}/%{name}/etc/com.springsource.bundlor.ant-ivy.xml
install -m 644 com.springsource.bundlor.blint/target/artifacts/ivy.xml %{buildroot}%{_datadir}/%{name}/etc/com.springsource.bundlor.blint-ivy.xml
install -m 644 com.springsource.bundlor.commandline/target/artifacts/ivy.xml \
  %{buildroot}%{_datadir}/%{name}/etc/com.springsource.bundlor.commandline-ivy.xml

mkdir -p %{buildroot}%{_javadir}/%{name}-sources
install -m 644 com.springsource.bundlor/target/artifacts/com.springsource.bundlor-sources.jar %{buildroot}%{_javadir}/%{name}-sources
install -m 644 com.springsource.bundlor.ant/target/artifacts/com.springsource.bundlor.ant-sources.jar %{buildroot}%{_javadir}/%{name}-sources
install -m 644 com.springsource.bundlor.blint/target/artifacts/com.springsource.bundlor.blint-sources.jar %{buildroot}%{_javadir}/%{name}-sources
install -m 644 com.springsource.bundlor.commandline/target/artifacts/com.springsource.bundlor.commandline-sources.jar \
  %{buildroot}%{_javadir}/%{name}-sources

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE11} %{buildroot}%{_mavenpomdir}/JPP.%{name}-com.springsource.bundlor.ant.pom
%add_to_maven_depmap com.springsource.bundlor com.springsource.bundlor.ant %{namedversion} JPP/%{name} com.springsource.bundlor.ant
install -m 644 %{SOURCE12} %{buildroot}%{_mavenpomdir}/JPP.%{name}-com.springsource.bundlor.blint.pom
%add_to_maven_depmap com.springsource.bundlor com.springsource.bundlor.blint %{namedversion} JPP/%{name} com.springsource.bundlor.blint
install -m 644 %{SOURCE13} %{buildroot}%{_mavenpomdir}/JPP.%{name}-com.springsource.bundlor.commandline.pom
%add_to_maven_depmap com.springsource.bundlor com.springsource.bundlor.commandline %{namedversion} JPP/%{name} com.springsource.bundlor.commandline
install -m 644 %{SOURCE15} %{buildroot}%{_mavenpomdir}/JPP.%{name}-com.springsource.bundlor.commandline.pom
%add_to_maven_depmap com.springsource.bundlor com.springsource.bundlor %{namedversion} JPP/%{name} com.springsource.bundlor
install -m 644 com.springsource.bundlor.maven/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-com.springsource.bundlor.maven.pom
%add_to_maven_depmap com.springsource.bundlor com.springsource.maven %{namedversion} JPP/%{name} com.springsource.maven

install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr build-bundlor/target/javadoc-all/* %{buildroot}%{_javadocdir}/%{name}

install -d -m 755 %{buildroot}%{_docdir}/%{name}
rm user-guide/target/user-guide/html/user-guide.zip
rm user-guide/target/user-guide/htmlsingle/user-guide-single.zip
cp -pr user-guide/target/user-guide/* %{buildroot}%{_docdir}/%{name}
cp -p license.txt %{buildroot}%{_docdir}/%{name}
cp -p notice.txt %{buildroot}%{_docdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/com.springsource.bundlor.ant.jar
%{_javadir}/%{name}/com.springsource.bundlor.blint.jar
%{_javadir}/%{name}/com.springsource.bundlor.commandline.jar
%{_javadir}/%{name}/com.springsource.bundlor.jar
%{_javadir}/%{name}/com.springsource.bundlor.maven.jar
%{_datadir}/%{name}/etc/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/* 
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/license.txt
%doc %{_docdir}/%{name}/notice.txt

%files devel
%{_javadir}/%{name}-sources/*

%files javadoc
%{_javadocdir}/%{name}

%files manual
%{_docdir}/%{name}/html
%{_docdir}/%{name}/htmlsingle
%{_docdir}/%{name}/pdf


%changelog

* Fri Dec 16 2011 gil <gil> 1.0.0-1.mga2
+ Revision: 182635
- update to 1.0.0.RELEASE
- imported package springsource-bundlor

